Bug 428369 - Review Request: nec2c - a translation of the Numerical Electromagnetics Code (NEC2)
Review Request: nec2c - a translation of the Numerical Electromagnetics Code...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 23:20 EST by Steve Conklin
Modified: 2013-12-23 09:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 18:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2008-01-10 23:20:39 EST
Spec URL: http://hams.bobjensen.com/SPECS/nec2c.spec
SRPM URL: http://hams.bobjensen.com/SRPMS/nec2c-0.6-1.fc8.src.rpm
Description: nec2c is a translation of the Numerical Electromagnetics Code (NEC2)
from FORTRAN to C. 

Operationally nec2c differs from NEC2 by being a command line
non-interactive program, taking as arguments the input file name
and optionally the output file name.
Comment 1 Jason Tibbitts 2008-01-26 15:30:55 EST
* source files match upstream:
   2acac418ed0be47bf282474af403b698841cc2307d46d3a5e4dde41e03dceab5  
   nec2c-0.6.tar.gz
 package meets naming and versioning guidelines.
 specfile is properly named, is cleanly written and uses macros consistently.
 summary is OK.
 description is OK.
 dist tag is present.
 build root is OK.
 license field matches the actual license.
 license is open source-compatible.
 license text not included upstream.
 license text included in package.
 latest version is being packaged.
 BuildRequires are proper.
 compiler flags are appropriate.
 %clean is present.
 package builds in mock ( ).
 package installs properly
 debuginfo package looks complete.
 rpmlint is silent.
 final provides and requires are sane:

 %check is present and all tests pass:

 no shared libraries are added to the regular linker search paths.
 owns the directories it creates.
 doesn't own any directories it shouldn't.
 no duplicates in %files.
 file permissions are appropriate.
 no scriptlets present.
 code, not content.
 documentation is small, so no -doc subpackage is necessary.
 %docs are not necessary for the proper functioning of the package.
 no headers.
 no pkgconfig files.
 no static libraries.
 no libtool .la files.
Comment 2 Jason Tibbitts 2008-01-26 16:13:37 EST
Hmm, seems I errantly clicked Save Changes.  Weird.  Anyway, here's the actual
review:

I talked with Bob about this package at fudcon but the suggested fix doesn't
seem to have made it.  No matter, it's trivial.

The debuginfo package comes out empty because the compiler isn't called
properly.  Fixing it is triviak; just change %build to:
  make CFLAGS="%{optflags}" %{?_smp_mflags}
and everything comes out OK.  Of course you should test that this doesn't
somehow break things.

Honestly, though, that's a trivial change.  I'll approve it and you can fix it
up when you check in.

* source files match upstream:
   2acac418ed0be47bf282474af403b698841cc2307d46d3a5e4dde41e03dceab5  
   nec2c-0.6.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not correct.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X debuginfo package is incomplete.
* rpmlint is silent.
* final provides and requires are sane:
   nec2c = 0.6-1.fc9
  =
   (nothing besides libc)
* %check is not present; no test suite upstream.  I haven't a clue how to test 
   this, but installed the resulting package and it at least runs and gives a 
   usage message.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just add CFLAGS to the make line when you check in.
Comment 3 Robert 'Bob' Jensen 2008-01-26 16:54:48 EST
Updated SPEC and SRPM per Tibbs' request

Spec URL: http://hams.bobjensen.com/SPECS/nec2c.spec
SRPM URL: http://hams.bobjensen.com/SRPMS/nec2c-0.6-2.fc8.src.rpm
Comment 4 Steve Conklin 2008-01-26 18:08:38 EST
New Package CVS Request
=======================
Package Name: nec2c
Short Description: a translation of the Numerical Electromagnetics Code (NEC2)
Owners: sconklin, bjensen
Branches: F-8
InitialCC: 
Cvsextras Commits: Yes

Comment 5 Kevin Fenzi 2008-01-27 14:31:57 EST
cvs done.
Comment 6 Steve Conklin 2008-01-27 15:57:01 EST
Thanks Kevin,

I'm sorry this wasn't in the original request, it's been requested that this
package also be in F-7, could someone create that branch for us and then I think
we'll be done.

Thanks again,

Steve
Comment 7 Kevin Fenzi 2008-01-27 16:21:44 EST
no problem. cvs done.
Comment 8 Steve Conklin 2008-01-27 18:51:27 EST
Thanks!
Comment 9 Richard Shaw 2013-12-23 09:11:42 EST
Package Change Request
======================
Package Name: nec2c
New Branches: el6
Owners: hobbes1069
InitialCC:
Comment 10 Jon Ciesla 2013-12-23 09:53:20 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.